#
# spec file for package libmatekbd
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define typelib typelib-1_0-Matekbd-1_0
%define _version 1.16
%define sover   4
Name:           libmatekbd
Version:        1.16.0
Release:        1.2
Summary:        MATE Desktop keyboard configuration libraries
License:        LGPL-2.1+
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxklavier) >= 5.2
%glib2_gsettings_schema_requires

%description
This package provides libmatekdb, an API to manage the keyboard in
MATE Desktop applications.

%package -n matekbd-common
Summary:        MATE Desktop keyboard configuration common files
Group:          System/GUI/Other

%description -n matekbd-common
This package provides libmatekdb, an API to manage the keyboard in
MATE Desktop applications.

%package -n %{name}%{sover}
Summary:        MATE Desktop keyboard configuration shared libraries
Group:          System/Libraries
Requires:       matekbd-common
Recommends:     %{name}-lang
Provides:       %{name} = %{version}
# libmatekbd with a wrong sover was last used in openSUSE Leap 42.1.
Obsoletes:      %{name}1

%description -n %{name}%{sover}
This package provides libmatekdb, an API to manage the keyboard in
MATE Desktop applications.

%package devel
Summary:        MATE Desktop keyboard configuration development files
Group:          Development/Libraries/Other
Requires:       %{name}%{sover} = %{version}
Requires:       matekbd-common = %{version}

%description devel
This package provides libmatekdb, an API to manage the keyboard in
MATE Desktop applications.

%package -n %{typelib}
Summary:        MATE Desktop keyboard configuration typelib
Group:          System/GUI/Other

%description -n %{typelib}
This package provides libmatekdb, an API to manage the keyboard in
MATE Desktop applications.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static \
  --with-gtk=2.0
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n matekbd-common
%glib2_gsettings_schema_post

%postun -n matekbd-common
%glib2_gsettings_schema_postun

%post -n %{name}%{sover} -p /sbin/ldconfig

%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_libdir}/*.so.%{sover}*

%files -n matekbd-common
%defattr(-,root,root)
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/libmatekbd/

%files -n %{typelib}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Matekbd-1.0.typelib

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_includedir}/%{name}/
%{_datadir}/gir-1.0/Matekbd-1.0.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Require libxklavier 5.2 and use its introspection.
  * GTK+3: Fix some deprecations.
  * distcheck: Explicitly use a currently selected GTK+ version.
  * Update translations.
* Sun May 22 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Some more fixes and cleanups.
  * Update translations.
  * Fix Changelog generation.
- Enable GObject Introspection.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Drop MateConf migration script.
  * Reduce introspection build warnings.
  * Fix some Gtk3 deprecations.
* Sun Nov 29 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * Update translations.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
- Add baselibs.conf.
* Thu Oct 15 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Add GObject introspection.
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
  * Layout view/print dialog: remove useless Help button.
  * Layout view/print dialog: some UI fixes.
  * Some GTK+3 fixes.
  * Some more fixes and cleanups.
  * Update translations.
* Wed Oct 14 2015 sor.alexei@meowr.ru
- Fix ABI version.
* Tue Apr 14 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * bugfixes release
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * bugfixes release
* Tue Jan 13 2015 p.drouand@gmail.com
- Update to version 1.9.2 (unstable)
  + fix possible dereference of NULL pointer
  + fix UI load in GTK+3 build
  + update translations
* Sun Jul 13 2014 p.drouand@gmail.com
- Update to version 1.9.1 (unstable)
  + bugfix release
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Sat Feb 15 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + Improved indicator font customization
  + GTK3 support
- Remove useless pkgconfig(gtk-doc) and xz require
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.2
  + improved indicator font customization
  + explicit declaration of internal libxklavier functions
    from lingnomekbd:
    https://git.gnome.org/browse/libgnomekbd/commit/?id=18332fedc6a24e4efeecfdc78a006140c667568a
    https://bugzilla.gnome.org/show_bug.cgi?id=643754
* Fri Sep 20 2013 p.drouand@gmail.com
- Readd Recommends: %%{name}-lang in libmatekbd1 package
* Fri Sep 20 2013 p.drouand@gmail.com
- Remove Recommends: %%{name}-lang and add Provides: %%{name} = %%{version}
  to automatically install lang package with library
* Fri Sep 20 2013 p.drouand@gmail.com
- the library rely on the glib schema to be present; add
  Requires: matekbd-common in libmatekbd1 package that needs
  glib schemas
- Use %%lang_package macro instead of create lang subpackage manually
- Fix library subpackage group to System/Libraries
- libmatekbd package doesn't exist; matekbd-common must recommends
  libmatekbd-lang
* Thu Sep 19 2013 cdenicolo@suse.com
- license update: LGPL-2.1+
  LGPL is "or laterÃÃ".
* Tue Jun 25 2013 johann.luce@wanadoo.fr
- Update to version 1.6.1
  + Fixes to use make dist
  + Fix previous commit typo in schema
  + Add missing keys in GSettings schema
  + Group concensus: just delete unused code; git log stores it
  + Clean up compile, fix bug with handling variants. Closes #8
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + update translations
* Fri Feb  8 2013 nmo.marques@gmail.com
- Update to version 1.5.1
  + now requires automake 1.13
  + fix desktop gschema
  + rename configure
  + minor fixes
- Update license to match release
* Sun Nov 18 2012 nmo.marques@gmail.com
- Add xz to BRs; update contact in RPM changelog and minor spec
  fixes
* Tue Oct  9 2012 nmarques@mate-desktop.org
- Update to version 1.5.0
  + Switch to gsettings (dropped mateconf)
  + Removed old obsolete plugin system for keyboard indicators
- Remove mateconf-2.0 dependencies and macros
- Improve summaries and descriptions
* Sat Sep  8 2012 nmarques@mate-desktop.org
- Copypac to X11:MATE
  + minor cosmetic fixes
* Fri Aug  3 2012 hillwood@linuxfans.org
- Update to version 1.4.0
* Sun Jun 17 2012 nmarques@mate-desktop.org
- Use mateconf macros on .spec and some cleanups
* Sat Jun 16 2012 nmarques@mate-desktop.org
- Update to version 1.2.0
* Fri Dec 30 2011 nmarques@opensuse.org
- Initial package from version 1.1.0
